{% extends "senat_campaign/base.html" %}
{% load static wagtailimages_tags wagtailcore_tags %}

{% block content %}

<!-- CONTENT -->
<main role="main">

  <section class="section--alternate article__header">
    <div class="container">

      <h1 class="lead heading">{{ page.title }}</h1>

      <div class="row align-items-center">
        <div class="col-12 col-md-6 mb-3 mb-md-0">
          <p class="article__date">publikováno {{ page.date }}</p>
        </div><!-- /column -->
        <div class="col-12 col-md-6 text-md-right">
          {% comment %} {# TODO #}
          <div class="article__tags">
            <span href="#" class="badge badge-light">Senátní obvod</span>
            <span href="#" class="badge badge-light">Evropská unie</span>
            <span href="#" class="badge badge-light">Podvody</span>
          </div>
          {% endcomment %}
        </div><!-- /column -->
      </div><!-- /row -->
    </div> <!-- /container -->
  </section>

  <section class="section--primary">
    <div class="container">
      <div class="row">

        <div class="col-12 col-lg-8 col-xl-7 mb-4 mb-lg-0">
          <article class="article__content richtext">
            {{ page.body|richtext }}
          </article>
        </div><!-- /column -->

        <div class="col-12 col-lg-4 offset-xl-1">
          <div class="article__sharing-box">
            <div class="card-body">
              <div class="sharing-box__content">
                <div class="icon"><i class="icon-heart"></i></div>
                <div class="text"><h3 class="lead">Sdílení je aktem lásky</h3></div>
              </div>
              <div class="sharing-buttons">
                <a href="https://www.facebook.com/sharer/sharer.php?u={{ page.full_url|urlencode }}" target="_blank" class="btn btn-facebook"><i class="icon-facebook-f"></i></a>
                <a href="https://twitter.com/intent/tweet?text={{ page.title|urlencode }}&url={{ page.full_url|urlencode }}" target="_blank" class="btn btn-twitter"><i class="icon-twitter"></i></a>
                <a href="https://www.linkedin.com/sharing/share-offsite/?url={{ page.full_url|urlencode }}" target="_blank" class="btn btn-linkedin"><i class="icon-linkedin"></i></a>
              </div>
            </div>
            <div class="image"><img data-src="{% static "senat_campaign/img/vlajka.jpg" %}" class="img-fluid lazyload" alt="Vlajka pirátů"></div>
          </div><!-- /article__sharing-box -->
        </div><!-- /column -->

      </div> <!-- /row -->
    </div> <!-- /container -->
  </section>

  <section class="section--alternate article__related">
    <div class="container">

      <h2 class="lead page-subheading mb-4">Mohlo by vás zajímat</h2>

      <div class="row news mb-4">

        {% for article in related_articles %}
        <div class="col-12 col-md-4 mb-4">
          <a class="card news__item" href="{% pageurl article %}">
            {% image article.specific.photo fill-400x230 as img %}
            <img data-src="{{ img.url }}" class="lazyload img-fluid card-img-top" alt="{{ article.title }}">
            <div class="card-body">
              <h5>{{ article.title }}</h5>
              <p>{{ article.specific.perex }}</p>
            </div>
            <div class="card-footer">
              <span>přidáno {{ article.specific.date }}</span>
            </div>
          </a>
        </div><!-- /column -->
        {% endfor %}

      </div><!-- /row -->

      <a href="{% pageurl page.get_parent %}" class="btn btn-dark btn-lg uvod__button my-2"><i class="icon-chevron-left mr-2"></i> Aktuality</a>

    </div><!-- /container -->
  </section>

</main>
<!-- /CONTENT -->

{% endblock %}
